import React, { useState } from 'react';
import { theme } from 'go-design-system-theme';
import { ChakraProvider, Slider, SliderMark, SliderTrack, SliderFilledTrack, SliderThumb } from '@chakra-ui/react';

function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}

function _Slider(props) {
  const {
    sliderProps = {},
    sliderTrackProps = {},
    sliderFilledTrackProps = {},
    sliderThumbProps = {},
    sliderMarkProps = {},
    onChange,
    showMarker = false
  } = props;
  const [sliderVal, setSliderVal] = useState(0);
  const onChangeSlider = val => {
    setSliderVal(val);
    onChange(val);
  };
  return /*#__PURE__*/React.createElement(ChakraProvider, {
    theme: theme
  }, /*#__PURE__*/React.createElement(Slider, _extends({
    "aria-label": "slider-ex-1",
    defaultValue: 30,
    onChange: onChangeSlider
  }, sliderProps), showMarker ? /*#__PURE__*/React.createElement(SliderMark, _extends({
    value: sliderVal,
    textAlign: "center",
    bg: "blue.500",
    color: "white",
    mt: "-10",
    ml: "-5",
    w: "12"
  }, sliderMarkProps), sliderVal, "%") : null, /*#__PURE__*/React.createElement(SliderTrack, sliderTrackProps, /*#__PURE__*/React.createElement(SliderFilledTrack, sliderFilledTrackProps)), /*#__PURE__*/React.createElement(SliderThumb, sliderThumbProps)));
}

export default _Slider;
